.header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 780;
    position: absolute;
    padding: rem(16) 0;
    display: none;

    &__wrap {
        padding: 0 rem(16);
        height: rem(50);
        display: flex;
        align-items: center;
        justify-content: flex-end;
        column-gap: rem(12);
    }

    &__button {
        fill: var(--gray);
        stroke: var(--gray);
        font-size: 0;
        line-height: 0;
        width: rem(50);
        height: rem(50);
        border: none;
        outline: none;
        position: relative;
        cursor: pointer;
        background: white;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: var(--transition-time);

        i {
            width: rem(24);
            height: rem(24);
            display: block;
            flex-shrink: 0;
        }

        span {
            top: -3px;
            right: -3px;
            color: white;
            height: rem(20);
            min-width: rem(20);
            background: var(--red);
            font-size: rem(11);
            line-height: rem(12);
            padding: 0 rem(2);
            position: absolute;
            border-radius: rem(10);
            display: flex;
            align-items: center;
            justify-content: center;
        }

        &:hover {
            fill: var(--dark);
            stroke: var(--dark);
        }
    }

    &__messages {
        min-width: rem(310);
    }


    @include media-breakpoint-up(md) {
        display: block;

        &__account {
            margin-left: rem(28);
        }
    }

    @include media-breakpoint-up(lg) {

    }

    @include media-breakpoint-up(xl) {
        padding: rem(32) 0;

        &__wrap {
            padding: 0 rem(32);
        }
    }

    @include media-breakpoint-up(xxl) {}
}

.header-account {
    min-width: rem(270);
    position: relative;

    &__main {
        fill: #A6A6A6;
        cursor: pointer;
        padding: rem(5) rem(14) rem(5) rem(5);
        background: white;
        border-radius: 30px;
        line-height: 1.4;
        white-space: normal;
        display: flex;
        align-items: center;
        column-gap: rem(8);
    }

    &__avatar {
        width: rem(40);
        height: rem(40);
        flex-shrink: 0;
        overflow: hidden;
        border-radius: 50%;
    }

    &__info {
        flex-grow: 1;
    }

    &__name {
        color: #3D3D3D;
        font-size: rem(16);
    }

    &__email {
        color: #B0B0B0;
        font-size: rem(14);
        line-height: 120%;
    }

    &__arrow {
        font-size: 0;
        line-height: 0;
        width: rem(13);
        height: rem(13);
        display: block;
        flex-shrink: 0;
    }

    &__dropdown {
        left: 0;
        padding: rem(10);
        top: calc(100% + 0.25rem);
        min-width: 100%;
        border-radius: rem(25);
        position: absolute;
        background: white;
        box-shadow: var(--shadow);
    }

    &__item {
        height: rem(48);
        padding: rem(4) rem(12);
        color: var(--dark);
        stroke: var(--dark);
        font-size: rem(14);
        line-height: 140%;
        cursor: pointer;
        text-decoration: none;
        display: flex;
        align-items: center;
        column-gap: rem(8);
        transition: var(--transition-time);

        &:hover {
            color: var(--gray);
            stroke: var(--gray);
            transition: var(--transition-time);
        }

        span {
            display: block;
        }

        i {
            display: block;
            flex-shrink: 0;
            width: rem(24);
            height: rem(24);
        }
    }

    &:hover {

        .header-account__main {
            fill: var(--dark);
        }
    }

    &.open {

        .header-account__main {
            fill: var(--dark);
        }

        .header-account__arrow {
            transform: rotate(180deg);
        }
    }
}
